/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus;

import klaus.views.View;
import myutils.ListFile;

import javax.swing.*;
import java.awt.*;
import java.io.File;
import java.io.IOException;
import java.text.MessageFormat;
import java.util.ResourceBundle;

public class GPLView extends View {


    private ResourceBundle resourceBundle = Resources.getMessages();

    @Override
	public String getDescription() {
		return resourceBundle.getString("license");
	}
	
	public GPLView(){
		setLayout(new BorderLayout());
		add(new JLabel(resourceBundle.getString("license.below.formatted")), BorderLayout.NORTH);
		
		JTextArea license = new JTextArea();
		try {
			license.setText(ListFile.listFile(new File("./doc/LICENSE").getAbsolutePath()));
		} catch (IOException e) {
			e.printStackTrace();
			license.setText(resourceBundle.getString("license.not.found.file.dropped"));
		}
		
		JScrollPane scroller = new  JScrollPane();
		scroller.add(license);
		scroller.getViewport().add(license);

		license.setEditable(false);
		
		add(scroller, BorderLayout.CENTER);
	}
}
