/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus;

import klaus.views.WelcomeView;

import javax.swing.*;


/**
 * So, let's go for the second attempt.
 * This is the main class for Klaus (Second Attempt.)
 * @author Stephan Hillebrand
 * @since 2009-03-10
 *
 */
public class Launcher {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		//Parse the options
		boolean sysLaf = true;
		for(int i = 0; i < args.length; i++){
			if(args[i].equals("--metal"))
				sysLaf = false;
		}
		
		if(sysLaf)
			try{
				//First of all, let's set the system look and feel. A fancy look is half
				//of the work for a well-known program (hey, I said "well-known" and not "working"
				//or even "well-engineered"!!!
				System.out.println("Laf management:        SysLaF is "+UIManager.getSystemLookAndFeelClassName());
				if(UIManager.getSystemLookAndFeelClassName().equals("javax.swing.plaf.metal.MetalLookAndFeel"))
						UIManager.setLookAndFeel("com.sun.java.swing.plaf.gtk.GTKLookAndFeel");
				else
					UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			}catch(Exception e){
				//Here is nothing. Not even a comment. You have NOT read this, okay???
			}
			
			
		//set up settings 
		Settings.getSettings();
		
		//Create and open main window
		KlausWindow main = KlausWindowManager.getInstance().getWindowByHandle("main");
		main.addView(new WelcomeView(main));
		//Start window manager update thread
		KlausWindowManager.getInstance().startWindowManager();
		
		main.requestFocus();
	}

}
