//package klaus.backend;
//
///**
// * Represents a backend using a chess clock
// * @author Stephan Hillebrand
// * @since 2009-03-23 alpha3
// */
//public interface ClockBackend extends ChessBackend {
//
//	/**
//	 * Gets the remaining time of white in milliseconds (from cache).
//	 * In most cases it should be OK to save the remaining time in a cache and
//	 * send the cached value whenever the clock repaints. In some cases, however,
//	 * it might be useful to force a resync with the engine or the internet server.
//	 * In order to do this, use getWhite/BlackTimeForce() instead.
//	 * @return white's remaining time in ms
//	 */
//	public int getWhiteTime();
//	
//	/**
//	 * Gets the remaining time of black in milliseconds (from cache).
//	 * In most cases it should be OK to save the remaining time in a cache and
//	 * send the cached value whenever the clock repaints. In some cases, however,
//	 * it might be useful to force a resync with the engine or the internet server.
//	 * @return black's remaining time in ms
//	 */
//	public int getBlackTime();
//	
//	/**
//	 * Resyncs the time of both players and then returns white's remaining time.
//	 * In most cases, it's better to load the saved time from cache by using getWhite/BlackTime()
//	 * methods.
//	 * @return white's remaining time in ms
//	 */
//	public int getWhiteTimeForce();
//	/**
//	 * Resyncs the time of both players and then returns black's remaining time.
//	 * In most cases, it's better to load the saved time from cache by using getWhite/BlackTime()
//	 * methods.
//	 * @return black's remaining time in ms
//	 */
//	public int getBlackTimeForce();
//}
