/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components;

import klaus.Resources;
import klaus.views.View;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.MessageFormat;

public class CloseTabComponent extends JPanel {
	public CloseTabComponent(String title, final View view){
		JLabel label;
		if(title.length() > 20)
			label = new JLabel(title.substring(0, 17)+"...");
		else
			label = new JLabel(title);
		
//		setToolTipText(title);
		
		setLayout(new BorderLayout());
		add(label, BorderLayout.CENTER);
		
		final JButton button = new JButton("X");
		button.setToolTipText(MessageFormat.format(Resources.getMessages().getString("closeTab"), title));
		button.setFont(new Font("Monospace", Font.PLAIN, 8));
		button.addActionListener(new ActionListener(){
			public void actionPerformed(@SuppressWarnings("unused")
			ActionEvent e){
				view.closeView();
			}
		});
		add(button, BorderLayout.EAST);
	}
}
