/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components;

import klaus.engine.EngineData;

import javax.swing.*;
import java.awt.*;

public class EngineCellRenderer extends JLabel implements ListCellRenderer {
	public Component getListCellRendererComponent(JList list, Object render, @SuppressWarnings("unused")
	int index,
			boolean isSelected, @SuppressWarnings("unused")
			boolean hasFocus) {
		if(render instanceof EngineData){
			EngineData engine = (EngineData) render;
			setText("<html><h3>"+engine.getName()+"</h3>Executable: "+engine.getExecutable()+"</html>");
			setIcon(new ImageIcon(ImageCache.getImage(engine.amIDefault() ? "graphics/default.png" 
					: "graphics/default-no.png")));
		}else
			setText(render.toString());
		
		if(isSelected){
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		}else {
            setBackground(list.getBackground());
            setForeground(list.getForeground());
        }
		setOpaque(true);
		return this;
	}
}
