/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components;

import klaus.engine.DebuggingInformation;
import klaus.engine.DebuggingListener;
import klaus.engine.Engine;

import javax.swing.*;
import java.awt.*;

public class EngineDebuggingPanel extends JPanel {
	
	private JList infos;
	private DefaultListModel model;
	
	
	public EngineDebuggingPanel(){
		infos = new JList();
		model = new DefaultListModel();
		infos.setModel(model);
		
		setLayout(new BorderLayout());
		
		JScrollPane scroll = new JScrollPane();
		scroll.add(infos);
		scroll.getViewport().add(infos);
		
		add(scroll, BorderLayout.CENTER);
		
		scroll.setAutoscrolls(true);
		
		infos.setAutoscrolls(true);
	}
	
	public void addEngine(final Engine engine){
		engine.addDebuggingListener(new DebuggingListener(){
			public void debuggingReceived(DebuggingInformation di) {
				model.addElement(di.getDescription());
			}

			public void newMove() {
				model.removeAllElements();
			}
		});
	}
	
}
