/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components;

import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;
import klaus.Settings;

import javax.swing.*;
import java.awt.*;
import java.io.File;
import java.io.FileFilter;

/**
 * Created by IntelliJ IDEA.
 * User: stephanUser
 * Date: 31.10.2009
 * Time: 11:44:39
 * To change this template use File | Settings | File Templates.
 */
public class GenericSettingsPanel extends JPanel {
    private JPanel panel;
    private JComboBox design;
    private JLabel labelDesign;
    private JLabel labelUsername;
    private JTextField usernameBox;

    public GenericSettingsPanel() {
        setLayout(new BorderLayout());
        add(panel, BorderLayout.CENTER);

        // Drop existing items from the panel
        design.remove(0);

        // Get list of existing designs
        File file = new File("layouts");
        System.out.println("Design path: " + file.getAbsolutePath());
        File[] designFolders = file.listFiles(new FileFilter() {
            public boolean accept(File pathname) {
                if (pathname.isDirectory()) return true;
                return false;
            }
        });

        for (File f : designFolders) {
            design.addItem(f.getName());
        }
        design.setSelectedItem(Settings.getSettings().getLayoutName());
        usernameBox.setText(Settings.getSettings().getUsername());


    }

    public String getUsername() {
        return usernameBox.getText();

    }

    public String getLayoutName() {
        return (String) design.getSelectedItem();

    }


    {
// GUI initializer generated by IntelliJ IDEA GUI Designer
// >>> IMPORTANT!! <<<
// DO NOT EDIT OR ADD ANY CODE HERE!
        $$$setupUI$$$();
    }

    /**
     * Method generated by IntelliJ IDEA GUI Designer
     * >>> IMPORTANT!! <<<
     * DO NOT edit this method OR call it in your code!
     *
     * @noinspection ALL
     */
    private void $$$setupUI$$$() {
        panel = new JPanel();
        panel.setLayout(new FormLayout("fill:max(d;4px):noGrow,left:4dlu:noGrow,fill:d:grow", "center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:d:grow"));
        labelDesign = new JLabel();
        labelDesign.setText("Brettdesign");
        CellConstraints cc = new CellConstraints();
        panel.add(labelDesign, cc.xy(1, 1));
        design = new JComboBox();
        final DefaultComboBoxModel defaultComboBoxModel1 = new DefaultComboBoxModel();
        design.setModel(defaultComboBoxModel1);
        panel.add(design, cc.xy(3, 1));
        labelUsername = new JLabel();
        labelUsername.setText("Benutzername");
        panel.add(labelUsername, cc.xy(1, 3));
        usernameBox = new JTextField();
        usernameBox.setText("Max Mustermann");
        panel.add(usernameBox, cc.xy(3, 3, CellConstraints.FILL, CellConstraints.DEFAULT));
        labelDesign.setLabelFor(design);
    }

    /**
     * @noinspection ALL
     */
    public JComponent $$$getRootComponent$$$() {
        return panel;
    }
}
