/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components;

import free.freechess.FreechessConnection;
import klaus.Resources;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ICSTerminal extends JPanel {
	
	private JTextArea term;
	
	private FreechessConnection connection;
	
	public ICSTerminal(FreechessConnection fc){
		
		connection = fc;
		
		term = new JTextArea();
		JScrollPane p = new JScrollPane();
		
		p.add(term);
		p.getViewport().add(term);
		
		setLayout(new BorderLayout());
		add(p, BorderLayout.CENTER);
		
		term.setEditable(false);
		term.setFont(new Font(Font.MONOSPACED, Font.PLAIN, term.getFont().getSize()));
		
		JPanel enter = new JPanel();
		enter.setLayout(new BorderLayout());
		
		final JTextField input = new JTextField();
		input.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				sendmsg(input.getText());
			}
		});
		enter.add(input, BorderLayout.CENTER);
		
		JButton send = new JButton(Resources.getMessages().getString("execute"));
		enter.add(send, BorderLayout.EAST);
		send.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				sendmsg(input.getText());
			}
		});
		
		add(enter, BorderLayout.SOUTH);
	}
	
	/**
	 * Send a command to the server
	 * @param text - the command to send
	 */
	private void sendmsg(String text) {
		connection.sendCommand(text);
	}
	
	public void addLine(String line){
		term.append(line+"\n");
	}
}
