/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components;

import klaus.chess.party.Party;

import javax.swing.*;
import java.awt.*;

/**
 * As the name suggests, this is a panel for viewing the notation of a game.
 * @author Stephan Hillebrand
 * @since 2009-03-11
 */
public class NotationViewer extends JPanel{
	private JEditorPane text = new JEditorPane();
	
	public NotationViewer(){
		JScrollPane scroller = new JScrollPane();
		
		setLayout(new BorderLayout());
		
		text.setContentType("text/html");
		text.setAutoscrolls(true);
		text.setEditable(false);
		
		scroller.add(text);
		scroller.getViewport().add(text);
		
		add(scroller, BorderLayout.CENTER);
		setMinimumSize(new Dimension(200, 400));
	}
	
	/**
	 * Refresh the notation (after a move has been added)
	 * @param p the party with all changes
	 */
	public void refresh(Party p){
		text.setText(p.getHTMLNotation());
		
		text.scrollToReference("mark");
	}
}
