/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.components.error;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class UnfoldTextComponent extends JPanel{
    private JButton expandPanel = new JButton("Details...");
    private JTextArea textArea = null;

    private int areaHeight = 0;

    private boolean expanded = false;

    public UnfoldTextComponent(String text, int lineNumber){
        textArea = new JTextArea(text);
        //Determine size
        areaHeight = (int)lineNumber * textArea.getFontMetrics(textArea.getFont()).getHeight();
        textArea.setPreferredSize(new Dimension(400, 0));

        setLayout(null);
        expandPanel.setBounds(0,0, (int) expandPanel.getPreferredSize().getWidth(),
                (int) expandPanel.getPreferredSize().getHeight());
        add(expandPanel);
        expandPanel.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent actionEvent) {
                if(expanded){
                     textArea.setPreferredSize(new Dimension(400, 0));

                }
                else{
                    textArea.setPreferredSize(new Dimension(400, areaHeight));
                }
                expanded = !expanded;
            }
        });

    }
}
