/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.dialogs;

import klaus.Settings;

public class NewGameModel {
	private boolean startNewGame = false;
	
	
	private boolean whitePlayerHuman = true, blackPlayerHuman = false;

	private String whiteEngineName = "", blackEngineName = Settings.getSettings().getDefaultEngine();
	
	private int firstPeriod = 120000, firstPeriodDuration = 0,
		secondPeriod = 0, secondPeriodDuration = 0,
		thirdPeriod = 0, thirdPeriodDuration = 0,
		increment = 12000;

	public String getBlackEngineName() {
		return blackEngineName;
	}

	public boolean getBlackPlayer() {
		return blackPlayerHuman;
	}

	public int getFirstPeriod() {
		return firstPeriod;
	}

	public int getFirstPeriodDuration() {
		return firstPeriodDuration;
	}

	public int getIncrement() {
		return increment;
	}

	public int getSecondPeriod() {
		return secondPeriod;
	}

	public int getSecondPeriodDuration() {
		return secondPeriodDuration;
	}

	public boolean isStartNewGame() {
		return startNewGame;
	}

	public int getThirdPeriod() {
		return thirdPeriod;
	}

	public int getThirdPeriodDuration() {
		return thirdPeriodDuration;
	}

	public String getWhiteEngineName() {
		return whiteEngineName;
	}

	public boolean getWhitePlayer() {
		return whitePlayerHuman;
	}

	public void setBlackEngineName(String blackEngineName) {
		this.blackEngineName = blackEngineName;
	}

	public void setBlackPlayer(boolean blackPlayer) {
		this.blackPlayerHuman = blackPlayer;
	}

	public void setFirstPeriod(int firstPeriod) {
		this.firstPeriod = firstPeriod;
	}

	public void setFirstPeriodDuration(int firstPeriodDuration) {
		this.firstPeriodDuration = firstPeriodDuration;
	}

	public void setIncrement(int increment) {
		this.increment = increment;
	}

	public void setSecondPeriod(int secondPeriod) {
		this.secondPeriod = secondPeriod;
	}

	public void setSecondPeriodDuration(int secondPeriodDuration) {
		this.secondPeriodDuration = secondPeriodDuration;
	}

	public void setStartNewGame(boolean startNewGame) {
		this.startNewGame = startNewGame;
	}

	public void setThirdPeriod(int thirdPeriod) {
		this.thirdPeriod = thirdPeriod;
	}

	public void setThirdPeriodDuration(int thirdPeriodDuration) {
		this.thirdPeriodDuration = thirdPeriodDuration;
	}

	public void setWhiteEngineName(String whiteEngineName) {
		this.whiteEngineName = whiteEngineName;
	}

	public void setWhitePlayer(boolean whitePlayer) {
		this.whitePlayerHuman = whitePlayer;
	}
}
