/*
 * Klaus chess program
 * Copyright (C) 2009 Stephan Hillebrand <stefh123@yahoo.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package klaus.dialogs;

import klaus.Settings;
import klaus.components.ImageCache;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class PromotionDialog extends JDialog {
	private JButton queen, rook, bishop, knight;
	private char promoPiece = ' ';
	private PromotionDialog(boolean white){
		setLayout(new FlowLayout());
		String prefix = "black_";
		if(white) prefix = "white_";
		
		queen = new JButton(new ImageIcon(ImageCache.getImage(Settings.getSettings().getLayoutName(), prefix+"queen")));
		rook = new JButton(new ImageIcon(ImageCache.getImage(Settings.getSettings().getLayoutName(), prefix+"rook")));
		bishop = new JButton(new ImageIcon(ImageCache.getImage(Settings.getSettings().getLayoutName(), prefix+"bishop")));
		knight = new JButton(new ImageIcon(ImageCache.getImage(Settings.getSettings().getLayoutName(), prefix+"knight")));
	
	
		setModal(true);
		
		queen.addActionListener(new ActionListener(){
			public void actionPerformed(@SuppressWarnings("unused")
			ActionEvent e){
				promoPiece = 'Q';
				setVisible(false);
			}
		});
		rook.addActionListener(new ActionListener(){
			public void actionPerformed(@SuppressWarnings("unused")
			ActionEvent e){
				promoPiece = 'R';
				setVisible(false);
			}
		});
		bishop.addActionListener(new ActionListener(){
			public void actionPerformed(@SuppressWarnings("unused")
			ActionEvent e){
				promoPiece = 'B';
				setVisible(false);
			}
		});
		knight.addActionListener(new ActionListener(){
			public void actionPerformed(@SuppressWarnings("unused")
			ActionEvent e){
				promoPiece = 'N';
				setVisible(false);
			}
		});
		
		add(queen);
		add(rook);
		add(knight);
		add(bishop);
		
		pack();
		
		setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
	
	}
	
	public static char showPromotionDialog(boolean white){
		PromotionDialog pd = new PromotionDialog(white);
		pd.setVisible(true);
		return pd.promoPiece;
	}
}
