package klaus.views;


import klaus.Resources;

import javax.swing.*;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.text.MessageFormat;

/**
 * A view for showing the help
 * @author Stephan Hillebrand
 * @since 2009-03-21 alpha3
 */
public class HelpView extends View {
	private JEditorPane helpArea;
	private JButton back;
	private JScrollPane scr;


	public HelpView() {
	    try {
	    	final URL url = new File("./doc/help/index.html").toURI().toURL();
	    	
			setSize(800,600);
			setLayout(new BorderLayout());

			back = new JButton("Index");
			back.addActionListener(new ActionListener(){
				public void actionPerformed(@SuppressWarnings("unused")
				ActionEvent e){
					try{
						helpArea.setPage(url);
					}catch(IOException ioe){
						ioe.printStackTrace();
					}
				}
			});
			helpArea = new JEditorPane(url);
			
			helpArea.addHyperlinkListener( new HyperlinkListener() { 
				public void hyperlinkUpdate(HyperlinkEvent event) { 
					if (event.getEventType() == HyperlinkEvent.EventType.ACTIVATED) { 
						try { 
							System.out.println(event.getURL().toString());
							helpArea.setPage(event.getURL());
						}catch (IOException ioe){
                            JOptionPane.showMessageDialog(null, Resources.getMessages().getString("help.not.found.formatted.dialog"),
                            Resources.getMessages().getString("file.not.found"), JOptionPane.ERROR_MESSAGE);
                        }

					} 
				}
			}); 

			
			scr = new JScrollPane();
			scr.getViewport().add(helpArea);
			add(scr, BorderLayout.CENTER);

			setVisible(true);
	    } catch (Exception e) {
	        System.err.println("HelpView#HelpView():   No help file available!");
	        JOptionPane.showMessageDialog(null, Resources.getMessages().getString("help.not.found.formatted.dialog"),
                    Resources.getMessages().getString("file.not.found"), JOptionPane.ERROR_MESSAGE);
	        e.printStackTrace();
	    }
	    helpArea.setEditable(false);
	}
}