package myutils;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.IOException;

import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * Checks the license of the program
 * @author Stephan Hillebrand
 *
 */
public final class LicenseChecker extends JDialog implements ActionListener{
	private JButton ok, cancel;
	private JRadioButton yes, no;
	private static final long serialVersionUID = 1L;

	private LicenseChecker(String licenceTextFile){
		setTitle("Lizenzbedingungen");
		setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
		setModal(true);
		System.out.println("generiere licenseChecker");
		
//		((BorderLayout)(getLayout())).setHgap(10);
		add(new JLabel("<HTML><P>Bitte lesen sie den Lizenzvertrag gr�ndlich!</p><p>Zur Benutzung" +
				" des Programms muss der Vertrag akzeptiert werden!</p></html>"), BorderLayout.NORTH);
		
		
		String licenseText = "";
		try {
			licenseText = ListFile.listFile(licenceTextFile);
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
		
		JTextArea licenceArea = new JTextArea(licenseText);
		JScrollPane sc = new JScrollPane();
		sc.getViewport().add(licenceArea);
		add(sc, BorderLayout.CENTER);
//		this.setModal(true);
		setSize(new Dimension(800,600));
		setResizable(false);
		
		JPanel buttons = new JPanel();
			cancel = new JButton("Abruch");
			buttons.add(cancel);
			
			ok = new JButton("Weiter > ");
			ok.setEnabled(false);
			buttons.add(ok);

			
		JPanel south = new JPanel();
			no = new JRadioButton("Ich bin mit den Lizenzvereinbarungen nicht einverstanden.");
			yes = new JRadioButton("Ich bin mit den Lizenzvereinbarungen einverstanden.");
			final ButtonGroup accept = new ButtonGroup();
			final JPanel choose = new JPanel();
			choose.add(no);
			choose.add(yes);
			accept.add(no);
			accept.add(yes);
			south.setLayout(new GridLayout(2,0));
			south.add(choose);
			south.add(buttons);
			yes.addActionListener(this);
			no.addActionListener(this);
			
			ok.addActionListener(this);
			cancel.addActionListener(this);
			
		add(south, BorderLayout.SOUTH);	
	}

	/**
	 * Event handling
	 * @param e event to handle
	 * @deprecated no use from outside!
	 */
	public void actionPerformed(ActionEvent e){
		if(e.getSource()==yes){
			ok.setEnabled(true);
		}
		else if(e.getSource()==no){
			ok.setEnabled(false);
		}
		else if(e.getSource()==cancel){
			System.exit(0);
		}
		else if(e.getSource()==ok){
			setVisible(false);
		}
	}
	
	/**
	 * Checks if the user has yet accepted the license. If not, a dialog is shown.
	 */
	public static boolean checkLicence() {
		File licencefile = new File(".\\licenceaccepted.cfg");
		if(licencefile.exists()){
			System.out.println("Lizenz gefunden...");
			return true;
		}
		else{
			System.err.println("lizenzvertrag noch nicht akzeptiert!");
			LicenseChecker licence = new LicenseChecker(".\\licence.txt");
			licence.setVisible(true);
//			licence.setMinimumSize(new Dimension(800,600));
			System.out.println("licenceChecker generiert");
			try{
				licencefile.createNewFile();
			}catch(Exception e){
				JOptionPane.showMessageDialog(null, "Konnte nicht auf Festplatte schreiben!", "Ernster Fehler", JOptionPane.ERROR_MESSAGE);
				System.exit(0);
				
			}
			return true;
		}
	}

}
