package myutils;

import java.awt.image.BufferedImage;
import java.io.File;
import java.util.HashMap;

import javax.imageio.ImageIO;

public class RessourceCache {
	private static HashMap<String, INIReader> inis = new HashMap<String, INIReader>();
	private static HashMap<String, BufferedImage> imgs = new HashMap<String, BufferedImage>();
	
	public static INIReader getINI(String inipath){
		try{
			String fullpath = new String(new File(inipath).getAbsolutePath());
			INIReader r = inis.get(fullpath);
			if(r==null) {
				r = new INIReader(fullpath);
				inis.put(fullpath, r);
			}
			return r;
		}catch(Exception e){
			e.printStackTrace();
			return null;
		}
	}
	
	public static BufferedImage getImage(String imgpath){
		try{
			String fullpath = new String(new File(imgpath).getAbsolutePath());
			BufferedImage i = imgs.get(fullpath);
			if(i==null) {
				i = ImageIO.read(new File(fullpath));
				imgs.put(fullpath, i);
			}
			return i;
		}catch(Exception e){
			System.err.println("Image could not be loaded! Path: "+new String(new File(imgpath).getAbsolutePath()));

			e.printStackTrace();
			return null;
		}
	}
}		
