package myutils.components;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.geom.Rectangle2D;
import java.io.File;

import javax.imageio.ImageIO;
import javax.swing.JButton;
/**
 * Diese klasse zeigt einen button im Pergamentstil.
 * @author Stephan Hillebrand
 *
 */
public class MysticButton extends JButton{
	private String text;
	private Image img;
	
	
	/**
	 * Initialisiert den Button
	 * @param text Der Text des Buttons
	 */
	public MysticButton(String text){
		this.text = text;
		//Alle 4 gr��en werden gesetzt auf 300*50, andere Gr��en wirken verzerrt!
		setSize(300, 50);
		setPreferredSize(new Dimension(300, 50));
		setMaximumSize(new Dimension(300, 50));
		setMinimumSize(new Dimension(300, 50));
		try{
			img = ImageIO.read(new File(".\\buttons.gif"));
		}catch(Exception e){}
	}
	/**
	 * Zeichnen
	 * @param g Grafikkontext, vom System bereitgestellt
	 */
	protected void paintComponent(Graphics g){
		g = (Graphics2D)g;
		if(isOpaque()){
			g.setColor(getBackground());
			g.fillRect(0,0, getWidth(), getHeight());
		}
		g.drawImage(img,0,0, getWidth(), getHeight(), null);
		g.setFont(new Font("Times new Roman", Font.PLAIN, 32));
		FontMetrics fm = g.getFontMetrics();       
		Rectangle2D r = fm.getStringBounds(text, g);
//		int xpos = (int)r.getWidth()/2;
		int xpos = (int)(this.getWidth() - r.getWidth())/2;
		
//		int ypos = (int)r.getHeight()/2;
		int ypos = (int)(this.getHeight() - r.getHeight())/2;
		g.setColor(Color.BLACK);
		g.drawString(text, xpos, ypos);
	}
	public void setText(String s){
		super.setText(s);
		repaint();
	}
}
