package myutils.language;

import java.io.File;
import java.io.IOException;
import java.util.Hashtable;

import myutils.ListFile;


public class Language {
	private Hashtable<Integer, String> strings = new Hashtable<Integer, String>();
	
	public Language(String name) throws IOException, NumberFormatException{
		String[] lf = ListFile.listFile("."+File.separator+"lang"+File.separator+name+".lang")
			.split("\n");
			
		for(int i = 0; i<lf.length; i++){
			if(lf[i].startsWith("#")||lf[i].equals(""))
				continue;
			String[] parts = lf[i].split("=");
			if(lf.length>=2){
				strings.put(Integer.parseInt(parts[0]), parts[1]);
			}
			else if(!lf[0].equals(""))
				strings.put(Integer.parseInt(parts[0]), "LOC_ERROR");
		}
	}
	
	public String getString(int id){
		if(strings.containsKey(id))
			return strings.get(id);
		System.err.println(id+" could not be resolved");
		new Exception().printStackTrace();
		return "LOC_ERROR";
	}
}
