package myutils.language;

import java.io.IOException;
import java.util.Hashtable;

public class LanguageSupport {
	private static Hashtable<String, Language> langs = new Hashtable<String, Language>();
	private static String def = "DE";
	
	public static Language getLanguage(String name) throws IOException{
		if(langs.containsKey(name))
			return langs.get(name);
		else{
			Language lang;
			try {
				lang = new Language(name);
			} catch (Exception e) {
				e.printStackTrace();
				System.err.println("Corrupt lang file, switching to default("+def+")");
				try {
					lang = new Language(def);
				} catch (Exception ex){
					System.err.println("default could not be loaded!");
					ex.printStackTrace();
					throw new IOException("No language loaded!");
				}
				langs.put(name, lang);
				return lang;
			}
			langs.put(name, lang);
			return lang;
		}
	}
}
