package myutils.logging;

import java.io.File;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.text.DateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Locale;


public class Logging {
	public static PrintStream output = null;
	private static int minimalLogLevel = -1;
	
	public static void log(String log, LogLevel level){
		if(logLevelToInt(level) >= minimalLogLevel){
                    String prefix = "";
                    switch(logLevelToInt(level)){
                        case 0: prefix = "[GARBAGE]";
                        case 1: prefix = "[INFORM ]";
                        case 2: prefix = "[WARNING]";
                        case 3: prefix = "[ERROR!!]";
                    }
	            output.println(timestamp()+prefix+log);
                }
	}
	/**
	 * @deprecated
	 */
	public static void init(LoggingMode lm){
		init(lm, LogLevel.FINE, System.getenv("HOME")+"/.logging");
	}

	public static void init(LoggingMode lm, LogLevel minimal, 
		String logDirectory){
		minimalLogLevel = logLevelToInt(minimal);

		Calendar cal = GregorianCalendar.getInstance();
		
		Date now = new GregorianCalendar(Locale.GERMANY).getTime();
		String filename = DateFormat.getDateInstance(DateFormat.SHORT)
			.format(now) +" "+ DateFormat.getTimeInstance
			(DateFormat.SHORT).format(now)+".log";
		File logTo = new File(logDirectory + File.separator + filename);
		
		if(lm == LoggingMode.file){
			try {
				new File(logDirectory).mkdirs();
			}
			catch(Exception e){
				log("Error while creating Logging directory. "+
					"Maybe it's already existing?", 
					LogLevel.STANDARD);

			}

			try{
				output = new PrintStream(new FileOutputStream(logTo),true);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			printSysInfo();
		}
		else{
			output = System.out;
			log("Starting logging on stdout", LogLevel.ERROR);
		}
	}

	private static void printSysInfo() {
		log("Logging started", LogLevel.ERROR);
		log("Printing system information:", LogLevel.ERROR);
		log("OS: "+System.getProperty("os.name")+" Version "+
				System.getProperty("os.version"), LogLevel.ERROR);
		log("", LogLevel.ERROR);
		log("Minimal Log level: "+minimalLogLevel, LogLevel.ERROR);
		log("End of System information, starting log: ", LogLevel.ERROR);
	}
	
	private static final String timestamp(){
		Date now = new GregorianCalendar(Locale.GERMANY).getTime();
		
		return "["+DateFormat.getTimeInstance(DateFormat.LONG).format(now)+"]";
	}

	private static final int logLevelToInt(LogLevel l){
		if(l == LogLevel.FINE) return 0;
		if(l == LogLevel.STANDARD) return 1;
		if(l == LogLevel.EXCEPTION) return 2;
		if(l == LogLevel.ERROR) return 3;
		return -1;
	}
}
